Last modified: 2014-09-02 11:21:15 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 50433 - Localisation update broken on 1.22wmf8 and 1.22wmf9
Localisation update broken on 1.22wmf8 and 1.22wmf9
Status: VERIFIED FIXED
Product: Wikimedia
Classification: Unclassified
Deployment systems (Other open bugs)
wmf-deployment
All All
: Highest normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n, ops
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 20:24 UTC by Siebrand Mazeland
Modified: 2014-09-02 11:21 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2013-06-29 20:24:55 UTC
As reported and first analysed on https://translatewiki.net/w/i.php?title=Thread:Support/How_to_make_edits_visible%3F :

It looks to me like LocalisationUpdate on Wikimedia wikis is broken.

Analysis:

# Translation ''Micelnesse gemetu'' at https://translatewiki.net/wiki/MediaWiki:Filehist-dimensions/en of 23:27, 27 June 2013 CEST was added to the source code in
# https://gerrit.wikimedia.org/r/#/c/71015/1/languages/messages/MessagesAng.php (line 748) at 28.06.2013 15:47 and is expected to be present on
# http://ang.wikipedia.org/wiki/MediaWiki:Filehist-dimensions per
# http://ang.wikipedia.org/wiki/Syndrig:Version / 1.22wmf8 and
# https://wikitech.wikimedia.org/wiki/Server_admin_log "02:04 logmsgbot: LocalisationUpdate completed (1.22wmf8) at Sat Jun 29 02:03:41 UTC 2013"

But it isn't.

A possibility is that [[MediaWiki:Filehist-dimensions]] was recently changed, and the message is not the same in master as in 1.22wmf8. That's not the case, though. The message is unchanged since at least August 2008 per https://translatewiki.net/w/i.php?title=MediaWiki:Filehist-dimensions/en&action=history

It looks to me like LocalisationUpdate on Wikimedia wikis is broken, as http://www.mediawiki.org/wiki/MediaWiki:Filehist-dimensions/ang also contains the old version of the message content, and mediawiki.org is at 1.22wmf9 per https://www.mediawiki.org/wiki/Special:Version.
Comment 1 Nemo 2013-06-30 12:44:01 UTC
Updates for other languages in same commit were also not pushed, e.g. <https://gerrit.wikimedia.org/r/#/c/71015/1/languages/messages/MessagesRu.php> and [[ru:MediaWiki:Userrights-removed-self]].

I've not checked previous commits nor extensions.
Comment 2 Brad Jorsch 2013-06-30 20:45:44 UTC
After some preliminary investigation, it looks like dsh isn't actually working. I'll ping ops for help tomorrow.
Comment 3 Siebrand Mazeland 2013-06-30 22:56:56 UTC
(In reply to comment #2)
> After some preliminary investigation, it looks like dsh isn't actually
> working.

What is "dsh"? I'm pretty sure it's not "Domburg Sportprijzen Holland" :).
Comment 4 Sam Reed (reedy) 2013-06-30 22:59:08 UTC
Distributed shell

Run X command on all servers in group Y
Comment 5 Andre Klapper 2013-07-01 09:53:18 UTC
Ori reminded me that bug 50347 got fixed a few hours ago, see https://gerrit.wikimedia.org/r/#/c/71313/
<ori-l> in the process of testing it, he had a few 'fake' scaps (scaps that were supposed to fail and thus abort)
<ori-l> I'm not sure if the log entries siebrand is referring to also correspond to scaps that were engineered to deliberately abort, but they may have. Also, if there *was* an actual problem, it's possible that Tim's change fixed it.
Comment 6 Brad Jorsch 2013-07-01 11:00:56 UTC
The specific messages mentioned here seem to be working now, but I'm not sure that the underlying problem is actually fixed. When Tim did his scap to test his fix for the other bug, he would have (manually) updated the message files. But the automatic l10nupdate may still be broken.
Comment 7 Gerrit Notification Bot 2013-07-01 21:41:37 UTC
Change 71525 had a related patch set uploaded by Anomie:
let systemuser l10nupdate have bash as shell so it can run l10nupdate scripts via dsh on new mw* hosts.

https://gerrit.wikimedia.org/r/71525
Comment 8 Gerrit Notification Bot 2013-07-02 04:23:26 UTC
Change 71525 merged by Tim Starling:
let systemuser l10nupdate have bash as shell so it can run l10nupdate scripts via dsh on new mw* hosts.

https://gerrit.wikimedia.org/r/71525
Comment 9 Brad Jorsch 2013-07-02 13:42:13 UTC
The change is now deployed, so l10nupdate should now be distributing the updates correctly.
Comment 10 Nemo 2013-07-03 09:46:12 UTC
[[fr:MediaWiki:Recentchanges-noresult]] contains last update from <https://git.wikimedia.org/blobdiff/mediawiki%2Fcore/a764d99c79d778d46dcbae91800ff678d958a00a/languages%2Fmessages%2FMessagesFr.php> so it indeed seems to be working at least for core.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links